Update Location

Update a FHIR R6 Location resource by logical ID.

Endpoint

PUT /api/fhir/r6-ballot4/Location/{rid}

Base URL: https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r6-ballot4

Example request: PUT /api/fhir/r6-ballot4/Location/00000000-0000-4000-8000-000000000003

Example URL: https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r6-ballot4/Location/00000000-0000-4000-8000-000000000003

The examples use illustrative identifiers and values.

Headers

{"Accept":"application/fhir+json","Authorization":"Bearer [REDACTED]","Content-Type":"application/fhir+json"}

Parameters

ParameterInRequiredTypeDescription
rid path true uuid Logical id of the Location resource. Use the logical id of the resource.

Authorization

The supported authorization model uses OAuth 2.0 scopes issued by OCI Identity Domains. Send the access token as a bearer token. Resource-server definitions and issued access-token claims use canonical system/... scopes. Client grants and token requests use the corresponding ddfssystem/... form. For examples, see Reference: Authentication and Scopes.

Context Scope form
Resource-server definition system/Location.u
Client grant/token request ddfssystem/Location.u
Issued token's scope claim system/Location.u

Example Request

{"resourceType":"Location","identifier":[{"system":"https://example.com/fhir/identifier/Location","value":"example-resource"}],"status":"active","name":"Example clinic","meta":{"tag":[{"system":"https://example.com/fhir/tag","code":"example-resource","display":"Example resource"},{"system":"https://example.com/fhir/tag/phase","code":"updated","display":"Example update"}]},"address":{"city":"Austin","state":"TX","postalCode":"78701","line":["100 Example Way"]},"form":{"coding":[{"system":"http://terminology.hl7.org/CodeSystem/location-physical-type","code":"ro","display":"Room"}]},"id":"00000000-0000-4000-8000-000000000003"}

Example Response

{
  "resourceType": "Location",
  "id": "00000000-0000-4000-8000-000000000003",
  "meta": {
    "versionId": "2",
    "lastUpdated": "2025-01-01T00:00:00Z",
    "profile": [],
    "security": [],
    "tag": [
      {
        "system": "https://example.com/fhir/tag",
        "code": "example-resource",
        "display": "Example resource"
      },
      {
        "system": "https://example.com/fhir/tag/phase",
        "code": "updated",
        "display": "Example update"
      }
    ]
  },
  "identifier": [
    {
      "system": "https://example.com/fhir/identifier/Location",
      "value": "example-resource"
    }
  ],
  "status": "active",
  "code": [],
  "name": "Example clinic",
  "alias": [],
  "type": [],
  "contact": [],
  "address": {
    "line": [
      "100 Example Way"
    ],
    "city": "Austin",
    "state": "TX",
    "postalCode": "78701"
  },
  "form": {
    "coding": [
      {
        "system": "http://terminology.hl7.org/CodeSystem/location-physical-type",
        "code": "ro",
        "display": "Room"
      }
    ]
  },
  "characteristic": [],
  "virtualService": [],
  "endpoint": []
}

Behavior

Replaces an existing Location resource by logical id.

cURL Example

curl.exe `
  -sS `
  -X PUT `
  https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r6-ballot4/Location/00000000-0000-4000-8000-000000000003 `
  -H 'Accept: application/fhir+json' `
  -H 'Authorization: Bearer [REDACTED]' `
  -H 'Content-Type: application/fhir+json' `
  --data '{"resourceType":"Location","identifier":[{"system":"https://example.com/fhir/identifier/Location","value":"example-resource"}],"status":"active","name":"Example clinic","meta":{"tag":[{"system":"https://example.com/fhir/tag","code":"example-resource","display":"Example resource"},{"system":"https://example.com/fhir/tag/phase","code":"updated","display":"Example update"}]},"address":{"city":"Austin","state":"TX","postalCode":"78701","line":["100 Example Way"]},"form":{"coding":[{"system":"http://terminology.hl7.org/CodeSystem/location-physical-type","code":"ro","display":"Room"}]},"id":"00000000-0000-4000-8000-000000000003"}'

Status Codes

CodeStatus
200 Updated Location representation.

FHIR Definition

Canonical: https://hl7.org/fhir/6.0.0-ballot4/location.html

Related Operations